using System.Collections.Generic;

namespace AusPostCode {
	public class Barcode {
		public Dictionary<int, string> FormatTable = new Dictionary<int, string>() {
			[0] = "Null Customer Barcode",
			[11] = "Standard Customer Barcode",
			[52] = "Customer Business Reply Paid",
			[59] = "Customer Barcode 2",
			[62] = "Customer Barcode 3",
			[67] = "Customer Business Reply Paid",
			[72] = "International Business Reply Paid",
			[77] = "International Business Reply Paid"
		};
		public int SortingCode { get; set; }
		public int CustomerInformation { get; set; }
		public string Code { get; set; }

		public Barcode(string code) {
			Code = code;
		}
	}
}
